Skip to main content
GET
Read Subscription

Authorizations

Authorization
string
header
required

Authentication: Customer session tokens authenticate buyers within your organization. Generate one through the customer session operation.

Path Parameters

id
string<uuid4>
required

Identifier of the subscription.

Response

Request completed successfully

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

id
string<uuid4>
required

The stable identifier for this record.

amount
integer
required

Amount: Amount of the subscription.

Example:

10000

currency
string
required

Currency: Currency of the subscription.

Example:

"usd"

recurring_interval
enum<string>
required

Recurring Interval: Interval at which the subscription recurs.

Available options:
day,
week,
month,
year
Example:

"month"

recurring_interval_count
integer
required

Count of interval units of the subscription. If this is set to 1 the charge will happen every interval (e.g. every month), if set to 2 it will be every other month, and so on.

status
enum<string>
required

Status: Status of the subscription.

Available options:
incomplete,
incomplete_expired,
trialing,
active,
past_due,
canceled,
unpaid
Example:

"active"

current_period_start
string<date-time>
required

Current Period Start: Start timestamp of the current billing period.

current_period_end
string<date-time>
required

Current Period End: End timestamp of the current billing period.

trial_start
string<date-time> | null
required

Trial Start: Start timestamp of the trial period, if any.

trial_end
string<date-time> | null
required

Trial End: End timestamp of the trial period, if any.

cancel_at_period_end
boolean
required

Indicates whether the subscription will be canceled at the end of the current period.

canceled_at
string<date-time> | null
required

Canceled At: Timestamp when the subscription was canceled. The subscription might still be active if cancel_at_period_end is true.

started_at
string<date-time> | null
required

Started At: Timestamp when the subscription started.

ends_at
string<date-time> | null
required

Ends At: Timestamp when the subscription will end.

ended_at
string<date-time> | null
required

Ended At: Timestamp when the subscription ended.

customer_id
string<uuid4>
required

Unique identifier for the subscribed customer.

product_id
string<uuid4>
required

Unique identifier for the subscribed product.

discount_id
string<uuid4> | null
required

Unique identifier for the applied discount, if any.

checkout_id
string<uuid4> | null
required
customer_cancellation_reason
enum<string> | null
required
Available options:
customer_service,
low_quality,
missing_features,
switched_service,
too_complex,
too_expensive,
unused,
other
customer_cancellation_comment
string | null
required
product
CustomerSubscriptionProduct · object
required
prices
(LegacyRecurringProductPriceFixed · object | LegacyRecurringProductPriceCustom · object | ProductPriceFixed · object | ProductPriceCustom · object | ProductPriceSeatBased · object | ProductPriceMeteredUnit · object)[]
required

Collection of enabled prices for the subscription.

A recurring price for a product, i.e. a subscription.

Deprecated: The recurring interval should be set on the product itself.

meters
CustomerSubscriptionMeter · object[]
required

Collection of meters associated with the subscription.

pending_update
PendingSubscriptionUpdate · object | null
required

Pending Update: Pending subscription update that will be applied at the beginning of the next period. If null, there is no pending update.

past_due_at
string<date-time> | null

Past Due At: Timestamp when the subscription entered past_due status.

seats
integer | null

Count of seats for seat-based subscriptions. None for non-seat subscriptions.